九章智算云
取消排队

取消实例的排队,使其退出等待 GPU 配额的队列。要求实例处于排队中(QUEUED)状态。

成功后实例转为未开机(STOPPED),可通过查询实例列表或获取实例详情确认。

POSThttps://api.alayanew.com/api/osm/v1/cci/instance/{id}/cancel-queue

鉴权(Authorizations)

AuthorizationString必填

用户获取Authorization请求头后,通过该请求头完成身份认证。例如:Authorization: [your-auth-header]。

Path Parameters

idString必填

实例 ID(来自查询实例列表的 id)。例如:2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88。

Response

statusInteger

业务状态码,200 表示取消排队成功;失败时为错误码。

messageString

响应信息,成功为 "OK";失败时为错误描述。

curl -X 'POST' \
  'https://api.alayanew.com/api/osm/v1/cci/instance/2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88/cancel-queue' \
  -H 'accept: application/json' \
  -H 'Authorization: [your-auth-header]'
import requests

instance_id = "2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88"
url = f"https://api.alayanew.com/api/osm/v1/cci/instance/{instance_id}/cancel-queue"
headers = {
    "accept": "application/json",
    "Authorization": "[your-auth-header]"
}

response = requests.post(url, headers=headers)
print(response.json())
const instanceId = '2006a5d0-0a55-4e8f-9d3c-b7a1f20c5d88';

fetch(`https://api.alayanew.com/api/osm/v1/cci/instance/${instanceId}/cancel-queue`, {
  method: 'POST',
  headers: {
    'accept': 'application/json',
    'Authorization': '[your-auth-header]'
  }
})
  .then(res => res.json())
  .then(console.log)
  .catch(console.error);
{
  "status": 200,
  "message": "OK"
}

最后更新于